using C969Project.Data.Models;

namespace C969Project;

public partial class AddUpdateCustomerForm : Form
{
    public enum OperationType { Add, Update }
    public AddUpdateCustomerForm(OperationType operationType, Customer? customer = null)
    {
        InitializeComponent();

        if (operationType == OperationType.Add) InitAdd();
        else if (operationType == OperationType.Update && customer is not null) InitUpdate(customer);
        else Close();

    }

    private void InitAdd()
    {
        Text = "Add Customer";
        label1.Text = "Add Customer";
    }

    private void InitUpdate(Customer customer)
    {
        Text = "Update Customer";
        label1.Text = "Update Customer";

        nameTextBox.Text = customer.CustomerName;
    }
    
    // name, {address, phone}
}